(function($){
	$(function() {
		initCard();
		initEvents();
		initFocus();
	});
	function initCard() {
		var cards = '';
		for ( var i = 0; i < 15; i++ ) {
			cards += tmpl('tmpl_card', {});
		}
		$('ul.cards').html(cards);
	}
	function initEvents() {
		var large = $('.arrange .large');
		var main = $('section.main');
		var small = $('.arrange .small');
		large.on('focus', function() {
			main.addClass('big');
			$(this).addClass('active');
			small.removeClass('active');
		});
		small.on('focus', function() {
			main.removeClass('big');
			large.removeClass('active');
			$(this).addClass('active');
		});
	}
	function initFocus() {
		$('.search input').focus();
	}
})(jQuery);